---
document: modulemd
version: 2
data:
  name: jmc
  stream: "rhel8"
  version: 8090020240206103743
  context: 82258f18
  arch: s390x
  summary: Java Mission Control is a profiling and diagnostics tool for the Hotspot
    JVM
  description: >-
    Java Mission Control is a powerful profiler for HotSpot JVMs and has an advanced
    set of tools that enables efficient and detailed analysis of the extensive data
    collected by Java Flight Recorder. The tool chain enables developers and administrators
    to collect and analyze data from Java applications running locally or deployed
    in production environments.
  license:
    module:
    - GPL
  dependencies:
  - buildrequires:
      javapackages-tools: [201801]
      platform: [el8]
      tycho: [rhel8]
    requires:
      platform: [el8]
  profiles:
    common:
      rpms:
      - jmc
    core:
      rpms:
      - jmc-core
  api:
    rpms:
    - jmc-core
  filter:
    rpms:
    - mvel
    - mvel-javadoc
  components:
    rpms:
      HdrHistogram:
        rationale: 'Dependency of jmc.

          '
        ref: 6c16ffe5630dd41a93b9d317258f975c839f3266
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      directory-maven-plugin:
        rationale: 'Dependency of jmc and jaf.

          '
        ref: 5d66abb4904731cd3b097b341130eed15aa11804
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ee4j-parent:
        rationale: 'Dependency of jaf.

          '
        ref: 37eb85119f6399af6167185964673ff923bcf185
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jaf:
        rationale: 'Dependency of jmc.

          '
        ref: 58a7ace5281ec215eee719a641db05422a440ad3
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jmc:
        rationale: 'Standalone application.

          '
        ref: 0c472d621b3df47b5c3baf270f1ffc2c3e147adc
        buildorder: 3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jmc-core:
        rationale: 'Core API. Dependency of jmc.

          '
        ref: 54061de9d8f39dac635f04df591801674f132d02
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      lz4-java:
        rationale: 'Dependency of jmc-core

          '
        ref: 6f27217afe32588e7c09570147b0e2c383b4a923
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      mvel:
        rationale: 'Dependency of lz4-java.

          '
        ref: 5ea3f9152edbc7ddf8eb876fd03df934bc68a895
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      owasp-java-encoder:
        rationale: 'Dependency of jmc-core.

          '
        ref: e2fe8a6f9f2765d312de12bdc86b80c9fdc1ecad
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - mvel-0:2.4.10-3.module_el8.9.0+3716+bccb457a.src
...
---
document: modulemd
version: 2
data:
  name: jmc-devel
  stream: "rhel8"
  version: 8090020240206103743
  context: 82258f18
  arch: s390x
  summary: Java Mission Control is a profiling and diagnostics tool for the Hotspot
    JVM
  description: >-
    Java Mission Control is a powerful profiler for HotSpot JVMs and has an advanced
    set of tools that enables efficient and detailed analysis of the extensive data
    collected by Java Flight Recorder. The tool chain enables developers and administrators
    to collect and analyze data from Java applications running locally or deployed
    in production environments.
  license:
    module:
    - GPL
  dependencies:
  - buildrequires:
      javapackages-tools: [201801]
      platform: [el8]
      tycho: [rhel8]
    requires:
      jmc: [rhel8]
      platform: [el8]
  profiles:
    common:
      rpms:
      - jmc
    core:
      rpms:
      - jmc-core
  api:
    rpms:
    - jmc-core
  filter:
    rpms:
    - mvel
    - mvel-javadoc
  components:
    rpms:
      HdrHistogram:
        rationale: 'Dependency of jmc.

          '
        ref: 6c16ffe5630dd41a93b9d317258f975c839f3266
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      directory-maven-plugin:
        rationale: 'Dependency of jmc and jaf.

          '
        ref: 5d66abb4904731cd3b097b341130eed15aa11804
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ee4j-parent:
        rationale: 'Dependency of jaf.

          '
        ref: 37eb85119f6399af6167185964673ff923bcf185
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jaf:
        rationale: 'Dependency of jmc.

          '
        ref: 58a7ace5281ec215eee719a641db05422a440ad3
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jmc:
        rationale: 'Standalone application.

          '
        ref: 0c472d621b3df47b5c3baf270f1ffc2c3e147adc
        buildorder: 3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jmc-core:
        rationale: 'Core API. Dependency of jmc.

          '
        ref: 54061de9d8f39dac635f04df591801674f132d02
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      lz4-java:
        rationale: 'Dependency of jmc-core

          '
        ref: 6f27217afe32588e7c09570147b0e2c383b4a923
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      mvel:
        rationale: 'Dependency of lz4-java.

          '
        ref: 5ea3f9152edbc7ddf8eb876fd03df934bc68a895
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      owasp-java-encoder:
        rationale: 'Dependency of jmc-core.

          '
        ref: e2fe8a6f9f2765d312de12bdc86b80c9fdc1ecad
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - HdrHistogram-0:2.1.11-3.module_el8.9.0+3716+bccb457a.src
    - directory-maven-plugin-0:0.3.1-2.module_el8.9.0+3716+bccb457a.src
    - ee4j-parent-0:1.0.1-2.module_el8.9.0+3716+bccb457a.src
    - jaf-0:1.2.1-5.module_el8.9.0+3716+bccb457a.src
    - jmc-0:8.0.1-4.module_el8.9.0+3716+bccb457a.src
    - jmc-core-0:8.0.1-2.module_el8.9.0+3716+bccb457a.src
    - lz4-java-0:1.7.1-14.module_el8.9.0+3716+bccb457a.src
    - mvel-0:2.4.10-3.module_el8.9.0+3716+bccb457a.src
    - owasp-java-encoder-0:1.2.2-3.module_el8.9.0+3716+bccb457a.src
...
